LibreOffice: XImplementationRegistration2 Interface Reference

LibreOffice LibreOffice 7.3 SDK API Reference

Public Member Functions | List of all members
XImplementationRegistration2 Interface Reference

extends the functionality of com::sun::star::registry::XImplementationRegistration. More...

`import"XImplementationRegistration2.idl";`

Inheritance diagram for XImplementationRegistration2:

## Public Member Functions
void | registerImplementationWithLocation ([in] string aImplementationLoader, [in] string aLocation, [in] string aRegisteredLocation, [in] com::sun::star::registry::XSimpleRegistry xReg) raises ( com::sun::star::registry::CannotRegisterImplementationException )
| registers a component which provides one or more implementations. More...
Public Member Functions inherited from XImplementationRegistration
void | registerImplementation ([in] string aImplementationLoader, [in] string aLocation, [in] com::sun::star::registry::XSimpleRegistry xReg) raises ( com::sun::star::registry::CannotRegisterImplementationException )
| registers a component which provides one or more implementations. More...
boolean | revokeImplementation ([in] string aLocation, [in] com::sun::star::registry::XSimpleRegistry xReg)
| revokes a component and all their provided implementations from the registry. More...
sequence< string > | getImplementations ([in] string aImplementationLoader, [in] string aLocation)
sequence< string > | checkInstantiation ([in] string implementationName)
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

extends the functionality of com::sun::star::registry::XImplementationRegistration.

It can be useful to specify a complete Url to a component but register the components name only (library or jar name).

Since
  OOo 2.4

## Member Function Documentation

## ◆ registerImplementationWithLocation()

void registerImplementationWithLocation | ( | [in] string | aImplementationLoader,
|  | [in] string | aLocation,
|  | [in] string | aRegisteredLocation,
|  | [in] com::sun::star::registry::XSimpleRegistry | xReg
| ) |  |
raises | ( | com::sun::star::registry::CannotRegisterImplementationException
| ) |  |

registers a component which provides one or more implementations.

Parameters

  aImplementationLoader | the URL of the implementation loader.
  aLocation | specifies the location of the component with the URL.
  aRegisteredLocation | the URL with which the component is actually registered.
  xReg | specifies the registry where the component should be installed. If it is a NULL interface, then the component will be installed in the system registry (if this feature is supported).

The documentation for this interface was generated from the following file:

- com/sun/star/registry/XImplementationRegistration2.idl